var express = require('express');
var app = express();
var server = require('http').Server(app);  
var io = require('socket.io')(server);
var fs = require('fs');

var filenameout = "/tmp/stepperout";
var filenamein = "/tmp/stepperin";

var localsocket=null;


app.use(express.static(__dirname));

var readStream = fs.createReadStream(filenameout);
readStream.setEncoding("utf8");
    
readStream.on('data', function(data) 
{
 if(localsocket)
 {    
 //   console.log("+++ "+localsocket.id);     
 //   console.log(data);
    localsocket.send(data);
 //   console.log("---");
 }  
 else
 {
  console.log("data with no socket");   
 }
  
});


var writeStream = fs.createWriteStream(filenamein);



io.on('connection', function(socket) {  


localsocket=socket;


socket.on('message', function(data) {

 //     console.log(data);
      writeStream.write(data);
      
      
});


 socket.on('disconnect', function () {

      console.log('disconnected');
      localsocket=null;      

  });


});



server.listen(8080);

